---
layout: markdown_page
title: Release Post Scheduling
page_class: release-post-scheduling
description: "A list of managers and other assignees for scheduled GitLab release posts."
---

%div{:style => "margin: 25px 0px;"}
  %h3 Release Post Scheduling
  Each month a Product Manager will #{link_to "lead the release post authorship", "../#release-post-manager"}, and a Product Marketing Manager will #{link_to "lead the messaging", "../#messaging-lead"}. Other members will be responsible for the structural check, copy edit, and social media posts. For each  monthly release, there are also technical #{link_to "Release Managers", "https://about.gitlab.com/community/release-managers/"} who support the effort. 

%table.table-responsive{:style => "margin-bottom: 25px; white-space: nowrap;"}
  %thead
    %tr
      %th{:style => "padding-right: 50px; text-align: right;"}
        Version
      %th.text-center
        Release date
      %th.text-center
        Manager
      %th.text-center
        Messaging
      %th.text-center
        Structural check
      %th.text-center
        Social
  %tbody
    - [*data.release_post_managers.releases, nil].each_cons(2) do |r|
      - manager = r[0].manager
      - structural_check = r[0].structural_check
      - messaging = r[0].messaging
      - social = r[0].social
      - date = Date.parse(r[0].date)
      - unpublished = (date - Date.today).to_i >= 0
      - current = unpublished && (r[1] && (Date.parse(r[1].date) - Date.today).to_i < 0)
      %tr{:style => ("background-color: ghostwhite;" if current)}
        %td{:style => "padding-right: 50px; text-align: right;"}
          - if current
            = "➡&nbsp;&nbsp;&nbsp;"
          - if unpublished
            = r[0].version
          - else
            = link_to "#{r[0].version}", "/releases/#{date.strftime('%Y/%m/%d')}/gitlab-#{r[0].version.tr('.', '-')}-released/"
        %td
          = date.strftime("%B #{date.day.ordinalize}, %Y (%a)")
        %td.text-center
          - if manager
            = link_to_team_member manager
        %td.text-center
          - if messaging
            = link_to_team_member messaging
        %td.text-center
          - if structural_check
            = link_to_team_member structural_check
        %td.text-center
          - if social == "--"
            = "Ping @social on Slack"
          - elsif social
            = link_to_team_member social
